import 'package:flutter/material.dart';

class CustomerPagebackgroundWidget extends StatelessWidget {
  final Widget child;
  final String? page;
  final double? height;

  const CustomerPagebackgroundWidget({
    super.key,
    required this.child,
    this.page,
    this.height,
  });

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      scrollDirection: Axis.vertical,
      child: Container(
          alignment: Alignment.center,
          height: height ?? MediaQuery.of(context).size.height + 200,
          decoration: BoxDecoration(
            image: DecorationImage(
              // image: AssetImage(
              //   page == 'login'
              //       ? 'assets/login_background.webp'
              //       : page == 'register'
              //           ? 'assets/register_background.webp'
              //           : page == 'menu'
              //               ? 'assets/menu_background.webp'
              //               : 'assets/background.webp',
              // ),
              image: AssetImage('assets/customer_background.webp'),
              fit: BoxFit.cover, // Ensures the background covers the entire container
              alignment: Alignment.center,
              opacity: 0.1, // Adjusts the opacity as needed
            ),
            gradient: RadialGradient(
              tileMode: TileMode.clamp,
              colors: [
                Color.fromRGBO(15, 6, 20, 1),
                Color.fromRGBO(23, 12, 32, 1),
              ],
            ),
          ),
          child: Center(
            child: Padding(
              padding: const EdgeInsets.symmetric(horizontal: 16),
              child: child,
            ),
          )),
    );
  }
}
